Scilab Function
Last update : 16/06/2004

type - type d'une variable

### Calling Sequence

  `[i]=type(x)`

### Parameters

- `x` : objet Scilab
- `i` : entier

### Description

`type(x)` renvoie un entier donnant le code numérique du type de `x` définit comme suit :

1 : matrice réelle ou complexe

2 : matrice polynomiale

4 : matrice booléenne

5 : matrice creuse

6 : matrice creuse booléene

8 : matrice d'entiers codés sur 1, 2 ou 4 octets

9 : matrice de "handle" sur les objets graphiques

10 : matrice de chaînes de caractères

11 : fonction non-compilée

13 : fonction compilée

14 : fonction d'une librairie

15 : liste

16 : liste typée (tlist)

17 : mlist

128 : pointeur

### See Also

`typeof`,